#include "utils.h"

#include <cstdlib>
#include <wchar.h>
#include <algorithm>
#include <functional>
#include <cctype>
#include <locale>

char* convertToMultiByte(const wchar_t* text) {
	size_t size = wcslen(text);

	char* cText = new char[size + 1];
	cText[size] = 0;

	wcstombs(cText, text, size);

	return cText;
}

// trim from start
std::string &ltrim(std::string &s) {
        s.erase(s.begin(), std::find_if(s.begin(), s.end(), std::not1(std::ptr_fun<int, int>(std::isspace))));
        return s;
}

// trim from end
std::string &rtrim(std::string &s) {
        s.erase(std::find_if(s.rbegin(), s.rend(), std::not1(std::ptr_fun<int, int>(std::isspace))).base(), s.end());
        return s;
}

// trim from both ends
std::string &trim(std::string &s) {
        return ltrim(rtrim(s));
}
